#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESteamDeckCompatibilityResultDisplayType {
    Invisible = 0,
    Informational = 1,
    Unsupported = 2,
    Playable = 3,
    Verified = 4,
}

impl ESteamDeckCompatibilityResultDisplayType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invisible as i32 => Some(Self::Invisible),
            x if x == Self::Informational as i32 => Some(Self::Informational),
            x if x == Self::Unsupported as i32 => Some(Self::Unsupported),
            x if x == Self::Playable as i32 => Some(Self::Playable),
            x if x == Self::Verified as i32 => Some(Self::Verified),
            _ => None,
        }
    }
}
